CREATE TABLE irc_cx_icons (
    ICON_ID                  NUMBER(18, 0) ,
    SITE_ID                  NUMBER(18, 0)     NOT NULL,
    ICON_CODE                VARCHAR2(128)     NOT NULL,
    TYPE                     VARCHAR2(128)     NOT NULL,
    DEFINITION               VARCHAR2(4000),
    IMAGE                    BLOB          ,
    STATUS_CODE              VARCHAR2(128)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ICON_ID                  NUMBER(18, 0) ,
    SITE_ID                  NUMBER(18, 0)     NOT NULL,
    ICON_CODE                VARCHAR2(128)     NOT NULL,
    TYPE                     VARCHAR2(128)     NOT NULL,
    DEFINITION               VARCHAR2(4000),
    IMAGE                    BLOB          ,
    STATUS_CODE              VARCHAR2(128)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_irc_cx_icons PRIMARY KEY (ICON_ID, ICON_ID)
);
